<template>
  <div class="h-full flex flex-col space-y-8">
    <main class="flex-auto">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
      />
    </main>
    <footer class="flex justify-center items-center">
      <img
        src="@/assets/img/icons/lock.png"
        width="14"
        alt="lock icon"
        class="mr-3"
      >
      <span class="text-xs text-grey-dark">
        256-bit TLS Security
      </span>
    </footer>
  </div>
</template>

<script>

import TreatmentPreferenceWhatDrug from "@/components/quizes/TreatmentPreference/TreatmentPreferenceWhatDrug";
import TreatmentPreferenceWhatType from "@/components/quizes/TreatmentPreference/TreatmentPreferenceWhatType";
import TreatmentPreferenceHowMany from "@/components/quizes/TreatmentPreference/TreatmentPreferenceHowMany";
import TreatmentPreferenceHowOften from "@/components/quizes/TreatmentPreference/TreatmentPreferenceHowOften";

export default {
  name: "TreatmentPreference",
  data() {
    return {
      stages: {
        1: TreatmentPreferenceWhatDrug,
        2: TreatmentPreferenceWhatType,
        3: TreatmentPreferenceHowMany,
        4: TreatmentPreferenceHowOften,
      },
      stageNumber: 1,
    }
  },
  methods: {
    nextStage() {
      if (this.stageNumber >= this.maxStages) {
        this.$emit('nextStage')
      } else {
        this.stageNumber++
      }
    }
  },
  computed: {
    getCurrentComponent() {
      return this.stages[this.stageNumber]
    },
    maxStages() {
      return Object.keys(this.stages).length
    }
  }
}
</script>

<style scoped>

</style>
